github eclipse/jetty.project jetty-11.0.0
11.0.0

17 months ago

Eclipse Jetty 11.x Highlights

  • Jetty 11.x has a minimum Java requirement of Java 11.
  • Jetty 11.x modules are proper JPMS modules with module-info.class.
  • Jetty 11.x supports the following technology specs (from the Jakarta EE 9 effort):
    • jakarta.servlet - 5.0.0
    • jakarta.servlet.jsp - 3.0.0
    • jakarta.servlet.jsp.jstl - 2.0.0
    • jakarta.el - 4.0.0
    • jakarta.websocket - 2.0.0
  • Jetty 11.x is the first major version of Jetty to support the jakarta.servlet namespace.
    Use Jetty 10.x for the older (now outdated) javax.servlet namespace.

Important Changes

  • Classic jetty logging facade has been replaced with slf4j-api usage
  • There is no longer a jetty-distribution, use jetty-home with a proper ${jetty.base} instead.
    See: Operations Guide: Architecture
    • New demo jetty-start module exists to replace the old demo-base functionality.
  • Remove jetty-all uber artifact
  • Managing Configuration within a WebAppContext has a new API.
    (They are now self ordering and do not require knowledge of Jetty internals to use successfully)
  • Complete WebSocket refactoring, those using the Jetty APIs or embedded-jetty will need to update their code.
    • Support for WebSocket over HTTP/2 (client and server)
  • Jetty HttpClient has been improved.
    • Supports dynamic protocol upgrade (http/2 and http/1.1).
  • Session management has been refactored as well.

Changelog

  • #5715 - Fix problems caused by upgrade to jstl version.
  • #5701 - Bump jakarta.servlet.jsp-api from 3.0.0-M1 to 3.0.0
  • #5700 - Bump jakarta.servlet.jsp.jstl-api from 2.0.0-RC1 to 2.0.0
  • #5626 - Bump maven-resources-plugin from 3.1.0 to 3.2.0
  • #5608 - Bump maven-project-info-reports-plugin from 3.0.0 to 3.1.1
  • #5585 - Bump jakarta.annotation-api from 2.0.0-RC1 to 2.0.0
  • #5550 - Bump maven-source-plugin from 3.0.1 to 3.2.1
  • #5549 - Bump hazelcast.version from 4.0.1 to 4.0.3
  • #5548 - Bump geronimo-interceptor_1.2_spec from 1.1 to 1.2
  • #5506 - Bump weld-servlet-core from 4.0.0.Beta1 to 4.0.0.Beta5
  • #5473 - Bump appassembler-maven-plugin from 2.0.0 to 2.1.0
  • #5472 - Bump jna from 5.5.0 to 5.6.0
  • #5470 - Bump mail-api.version from 2.0.0-RC4 to 2.0.0-RC6
  • #5423 - Bump jakarta.servlet-api from 5.0.0-M1 to 5.0.0
  • #5380 - Bump maven-war-plugin from 3.2.3 to 3.3.1
  • #4568 - Use jakarta.* namespace for new Jakarta EE 9 "Big Bang" artifacts

Don't miss a new jetty.project release

NewReleases is sending notifications on new releases.